from openerp import api, models
import datetime


class report_presupuesto_bioelectric(models.AbstractModel):
    _name = 'report.presupuesto_venta_bioelectric.report_presupuesto_bioelectric'

    @api.multi
    def render_html(self, data=None):
        report_obj = self.env['report']
        report = report_obj._get_report_from_name('presupuesto_venta_bioelectric.report_presupuesto_bioelectric')
        docargs = {
            'doc_ids': self._ids,
            'doc_model': report.model,
            'docs': self.env[report.model].browse(self._ids),
            'calcular_precio':self.calcular_precio,
        }
        return report_obj.render('presupuesto_venta_bioelectric.report_presupuesto_bioelectric', docargs)


    def calcular_precio(self,precio):
        return (precio*1.1)
